[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.MouseUp

Handles mouse up events for the control.

## Declaration

Source position: stdctrls.pp line 827

`protected procedure TCustomEdit.MouseUp(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Button` |  | Mouse button examined in the method.
`Shift` |  | Shift / Ctrl / Alt modifier for the mouse event.
`X` |  | Horizontal screen coordinate for the mouse event.
`Y` |  | Vertical screen coordinate for the mouse event.

## Description

Selects all of the Text in the control when a left mouse button event occurs in the focused control and AutoSelect is set to True.

## See also

TControl.MouseUp |  | Signals the OnMouseUp handler.